#include <msp430g2231.h>
#include "i2c.h"

unsigned char i2cAddress = 0x17;

void setFreq() //~4158 Hz
{
  unsigned int oct = 2;
  unsigned int dac = 1;

  //f=2^oct*2078/(2-dac/1024)
  unsigned int reg = oct << 12 | dac << 2;

  unsigned char high = (reg >> 8) & 0xff;
  unsigned char low = reg & 0xff;

  i2c_start();
  i2c_write8(i2cAddress << 1);
  i2c_write8(high);
  i2c_write8(low);
  i2c_stop();
}

void main(void) {
	WDTCTL = WDTPW + WDTHOLD;

	i2c_init();
	setFreq();
}
